cancel
Showing results for 
Search instead for 
Did you mean: 

KxDashboards - Run with an expired version

jlucid
Contributor

We have just restarted our KxDashboard, but the error log is saying "Kx Dashboards expired! Update to latest".

But we need the dashboard up urgently, even if its out of date, it is fully functional.

Is there a way to start it in this state without upgrading and having to merge dashboards and connections into a new version, which will cost us time?

 

 

 

1 ACCEPTED SOLUTION

Kieran
New Contributor III
New Contributor III

There is 2 simple options here

1) If you have a license, then make sure that you have this located in the root of your dashboards install

2) Alternatively, download the latest version of KxDashboards and replace the go.q_ from the latest with your install 

 

 

If you need any more help here then please let me know 

Kieran

View solution in original post

2 REPLIES 2

Kieran
New Contributor III
New Contributor III

There is 2 simple options here

1) If you have a license, then make sure that you have this located in the root of your dashboards install

2) Alternatively, download the latest version of KxDashboards and replace the go.q_ from the latest with your install 

 

 

If you need any more help here then please let me know 

Kieran

Ok great, I didnt know about option (1), so the expiry date on the kdb+ license can be used to extend the dashboard expiry date. 

(2) Seems like another fast option. We ended up just copying the existing dashboards and connections into the latest package and redeploying, but copying go.q_ is good to know.

Thanks Kieran